// create our OSC receiver
OscRecv recv;
// use port 8889 (or whatever)
8889 => recv.port;
// start listening (launch thread)
recv.listen();

// the midi event
MidiOut mout;
// the message for retrieving data
MidiMsg msg;

// open the device
if( !mout.open( 0 ) ) me.exit();

// print out device that was opened
<<< "MIDI device:", mout.num(), " -> ", mout.name() >>>;

// create an address in the receiver, store in new variable
recv.event( "/calories/cell/state, i i i i f" ) @=> OscEvent oe;

// data
int x; int y; int z;
int value; float valuef;
// infinite event loop
while( true )
{
    // wait for event to arrive
    oe => now;

    // grab the next message from the queue. 
    while( oe.nextMsg() )
    { 
        oe.getInt() => x;
        oe.getInt() => y;
        oe.getInt() => z;
        oe.getInt() => value;
        oe.getFloat() => valuef;
        
        0x90 => msg.data1;
        50 + x%60 => msg.data2;
        0 => msg.data3;
        mout.send( msg );
        
        0x90 => msg.data1;
        50 + x%60 => msg.data2;
        10 + y%110 => msg.data3;
        mout.send( msg );

        // print
        <<< "got (via OSC):", x, y, z, value, valuef >>>;
    }
}
